Bug 427954 - Review Request: gtk2-aqd - Global Menu Patch for GTK
Review Request: gtk2-aqd - Global Menu Patch for GTK
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427955
  Show dependency treegraph
 
Reported: 2008-01-08 00:59 EST by Feng Yu
Modified: 2008-02-27 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 13:44:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Feng Yu 2008-01-08 00:59:01 EST
Spec URL: http://gnome2-globalmenu.googlecode.com/files/gtk2-aqd-svn221.spec
SRPM URL: http://gnome2-globalmenu.googlecode.com/files/gtk2-aqd-0.3.221.2.12.3-3.fc8.src.rpm

Description: patched gtk2 version to allow global menu for gnome applications
Project host: http://code.google.com/p/gnome2-globalmenu/

Related package: gnome2-globalmenu-applet
Comment 1 Feng Yu 2008-01-08 01:00:19 EST
This is my first package.
Comment 2 manuel wolfshant 2008-01-08 06:10:28 EST
Don't you need a sponsor ?
Comment 3 Feng Yu 2008-01-08 14:24:19 EST
Yes, I need.
Comment 4 Mamoru TASAKA 2008-01-11 11:18:29 EST
Umm.. gtk2 maintainers, would you watch this?
Comment 5 Matthias Clasen 2008-01-11 11:59:18 EST
I don't think we'll ship any patched gtk versions in parallel to gtk2.
Comment 6 Mamoru TASAKA 2008-01-13 11:40:18 EST
(In reply to comment #5)
> I don't think we'll ship any patched gtk versions in parallel to gtk2.
Well, I don't think either so I cc-ed to gtk2 maintainers.

Feng, how do you think? IMO if you want to add some functions to GTK
you should ask GTK upstream directly to import your patch sets.
Comment 7 Feng Yu 2008-01-13 18:37:52 EST
Yes, you're right shipping two gtk in one distribution tends to confuse users.

i thought the benefit is if we can install gtk2 by default, and if we leave
gtk2-aqd in package list, then when people want mac-like menubar they can choose
to install gtk2-aqd.

anyway, thank you still. 
Comment 8 Peter Gordon 2008-01-13 19:25:44 EST
Personally, I'm a fan of the Mac-workaline global menu bar. However, I would
also dislike shipping two different GTK+ versions with that as the only change
since it would effectively double (or more) the work required to keep them
updated and in sync with one another. 

My thinking is similar to that of the Freeworld FreeType build included in
Livna/RPMfusion (http://bugzilla.livna.org/show_bug.cgi?id=1473). Could we add
an ld.so config for the patched GTK+, then have it in its own %_libdir
subdirectory or similar?

Alternatively, and mostly for the sake of my own curiosity: GTK+ maintainers,
would it possible to add this patch to the mainline gtk2 spec file, so we could
easily rebuild it "--with global_menu" or similar (though it would be disabled
by default)?  
Comment 9 Peter Gordon 2008-01-13 19:27:11 EST
> [...] of the Mac-workaline global menu bar. [...]

That should be "workalike." Sorry for the typo.
Comment 10 Matthias Clasen 2008-01-13 21:11:50 EST
> My thinking is similar to that of the Freeworld FreeType build included in
> Livna/RPMfusion (http://bugzilla.livna.org/show_bug.cgi?id=1473). Could we add
> an ld.so config for the patched GTK+, then have it in its own %_libdir
> subdirectory or similar?

All kinds of odd hacks are possible, and I am not looking forward to the bugs
that result from any such scenario. 

> Alternatively, and mostly for the sake of my own curiosity: GTK+ maintainers,
> would it possible to add this patch to the mainline gtk2 spec file, so we
> could
> easily rebuild it "--with global_menu" or similar (though it would be 
> disabled by default)?  

I don't see any benefit of that, honestly. People who absolutely cannot live
without this can just patch the srpm and rebuild. The difference between
"add config option to spec file, rebuild" and 
"add patch to spec file, rebuild" is really marginal.

For any further discussion of global menubar patches, please refer to the
upstream bug on this patch.
Comment 11 Mamoru TASAKA 2008-01-21 13:31:33 EST
Well, should we once close this bug (as WONTFIX)?
Comment 12 Feng Yu 2008-01-21 13:38:01 EST
I think so.

Note You need to log in before you can comment on or make changes to this bug.